Bug 803411 - [RFE] auto completion should have granularity command option
[RFE] auto completion should have granularity command option
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Pasternak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 12:35 EDT by Avihai Shoham
Modified: 2014-01-12 19:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-18 03:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-03-14 12:35:34 EDT
Currently auto completion gives a user all available command and narrow down the option
for example (see[1]) , when hit <ta><tab> after enter display-type it will not gives you "vnc" "spice"

[1]
[oVirt shell (connected)]# create vm --name VM2_CLI --display-type
Comment 1 Michael Pasternak 2012-03-18 03:12:39 EDT
options suggestion is not possible in auto-completion mode, as it will mean
executing http/s request to server for each option, what will lead to freeze 
of the application on each <tab><tab>.

Note You need to log in before you can comment on or make changes to this bug.